Subject: Re: bug#11342: 24.1.50; HOOK variable name in `add-hook' etc. confusing

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 May 2012 10:46:54 -0400

>   remove-hook: (HOOK FUNCTION &optional LOCAL)
> You could misinterpret that and think that the first argument must be
> a value representing a hook.  But actually it must be a _symbol_
> holding a hook.

Actually, the docstring says "HOOK should be a symbol", so the problem
is only that you base your decision on the eldoc info, which is
necessarily too limited to be trusted to give that kind of detail.

I find that changing the argument name makes the code and docstring too
verbose for my taste, so I don't think it's worth the trouble.

        Stefan